Name: cylindrix
Version:  1.0
Release: 4%{?dist}
Summary: Cylindrix is a 3 degrees of freedom combat game

Group: Amusements/Games 
License: LGPLv2        
URL: http://www.hardgeus.com/cylindrix/
Source0: http://www.hardgeus.com/cylindrix/cylindrix-1.0.tar.gz
Source1: cylindrix.desktop
Source2: cylindrix.png
Source3: cylindrix.sh
Patch0: cylindrix-1.0-fix-packing.patch
Patch1: cylindrix-1.0-arch-independ-file-read.patch
Patch2: cylindrix-1.0-use-int-not-long.patch
Patch3: cylindrix-1.0-arch-independ-file-write.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
Requires: hicolor-icon-theme
BuildRequires: allegro-devel, desktop-file-utils

%description
Cylindrix is a 3-on-3 combat game with 360 degrees of freedom that is
similar to Spectre VR but with a wider variety of ships, as well as the
addition of drivers. Attack and be attacked from all angles as you battle
in huge orbiting arenas that are each unique in physics, atmospheric
conditions, and configuration. You must build your team from 37 warriors
from 10 alien races and select from 8 vehicles, each with unique 
maneuverability, speed, and firepower. The graphics are good, although
structure and ship graphics are a little too monotonous. Gameplay is fast
and furious... so furious, in fact, that it is difficult to differentiate
between friend and foe in the thick of battle. For those who are confident
of their reflexes or have beaten Spectre and Battlezone, though, this game
is worth a try.

%prep
%setup -qn cylindrix

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build

%configure
make CFLAGS="$RPM_OPT_FLAGS -Wno-pointer-sign"

rm -rf */CVS
rm -rf */*/CVS
rm -rf */*/*/CVS

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE3} %{buildroot}%{_bindir}/cylindrix
install -m 755 cylindrix %{buildroot}%{_bindir}/cylindrix-bin

mkdir -p %{buildroot}%{_datadir}/cylindrix

cp -pr 3d_data %{buildroot}%{_datadir}/cylindrix
cp -pr anything.mod %{buildroot}%{_datadir}/cylindrix
cp -pr cylindrx.fli %{buildroot}%{_datadir}/cylindrix
cp -pr gamedata %{buildroot}%{_datadir}/cylindrix
cp -pr pcx_data %{buildroot}%{_datadir}/cylindrix
cp -pr people.dat %{buildroot}%{_datadir}/cylindrix
cp -pr stats %{buildroot}%{_datadir}/cylindrix
cp -pr wav_data %{buildroot}%{_datadir}/cylindrix


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/cylindrix*
%{_datadir}/cylindrix/

%doc AUTHORS COPYING
%{_datadir}/applications/fedora-cylindrix.desktop
%{_datadir}/icons/hicolor/64x64/apps/cylindrix.png


%changelog
* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 1.0-4
- Fixed launcher script, data locations.
- Added Hans's newest review patch.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 1.0-3
- Dropped VS files.
- Dropped icon extension.
- Added CFLAG.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 1.0-2
- Added allegro-devel, desktop-file-utils BRs.
- Added Hans's review patches.
- Corrected data installation method for shared and mutable data.

* Sat Sep 08 2007 Jon Ciesla <limb@jcomserv.net> - 1.0-1
- Added h-i-theme requires, xparentfied icon.
- create.
